[arch-commits] Commit in aspell-ru/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 4 16:26:03 EDT 2009


    Date: Saturday, April 4, 2009 @ 16:26:03
  Author: eric
Revision: 33809

Merged revisions 356,33731 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/aspell-ru/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r33731 | eric | 2009-04-04 14:44:14 -0400 (Sat, 04 Apr 2009) | 2 lines
  
  upgpkg: aspell-ru 0.99f7-2
      Added arch tag, Added license
........

Modified:
  aspell-ru/repos/extra-i686/	(properties)
  aspell-ru/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)


Property changes on: aspell-ru/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /aspell-ru/trunk:1
   + /aspell-ru/trunk:1-33808

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-04 20:25:18 UTC (rev 33808)
+++ extra-i686/PKGBUILD	2009-04-04 20:26:03 UTC (rev 33809)
@@ -4,17 +4,19 @@
 
 pkgname=aspell-ru
 pkgver=0.99f7
-pkgrel=1
+pkgrel=2
 pkgdesc="Russian dictionary for aspell"
-depends=(aspell)
+arch=('i686' 'x86_64')
+url="http://aspell.net/"
+license=('custom')
+depends=('aspell')
 source=(ftp://ftp.gnu.org/gnu/aspell/dict/ru/aspell6-ru-$pkgver-1.tar.bz2)
-url="http://aspell.net/"
 md5sums=('c4c98eaa5e77ad3adccbc5c96cb57cb3')
 
 build() {
-  cd $startdir/src/aspell6-ru-$pkgver-1
-  ./configure
-  /usr/bin/make || return 1
-  /usr/bin/make DESTDIR=$startdir/pkg install
+  cd $srcdir/aspell6-ru-$pkgver-1
+  ./configure || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 Copyright $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }
-# vim: ts=2 sw=2 et ft=sh



More information about the arch-commits mailing list